Bug 504619 - Default multipath configuration ignores some MSA1000 arrays
Default multipath configuration ignores some MSA1000 arrays
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: device-mapper-multipath (Show other bugs)
5.3
All Linux
low Severity medium
: rc
: ---
Assigned To: Ben Marzinski
Cluster QE
:
Depends On:
Blocks: 504625
  Show dependency treegraph
 
Reported: 2009-06-08 10:31 EDT by Cyril Plisko
Modified: 2016-04-26 12:32 EDT (History)
17 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-30 04:31:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Cyril Plisko 2009-06-08 10:31:28 EDT
Description of problem:

MSA 1000 storage array can identify itself as Vendor ID "HP" or Vendor ID "COMPAQ". Multipath default configuration, however, only lists "HP" for vendor id.

IT can be beneficial to use regex similar to other HP/COMPAQ arrays to catch both variants out of the box.

diff --git a/libmultipath/hwtable.c b/libmultipath/hwtable.c
index 60f41af..abf114f 100644
--- a/libmultipath/hwtable.c
+++ b/libmultipath/hwtable.c
@@ -128,7 +128,7 @@ static struct hwentry default_hw[] = {
        },
        {
                /* MSA 1000/1500 with new firmware */
-               .vendor        = "HP",
+               .vendor        = "(COMPAQ|HP)",
                .product       = "MSA VOLUME",
                .getuid        = DEFAULT_GETUID,
                .features      = DEFAULT_FEATURES,
Comment 1 Ben Marzinski 2009-09-28 14:29:28 EDT
Fixed
Comment 3 michal novacek 2009-12-22 11:06:01 EST
Verified that the above mentioned patch is present in the version 0.4.7-31.el5
Comment 6 errata-xmlrpc 2010-03-30 04:31:58 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0255.html

Note You need to log in before you can comment on or make changes to this bug.